Debian Bug report logs - #421162
gcc-4.1: libssp0 is gone, several packages depend on it

version graph

Package: libssp0; Maintainer for libssp0 is (unknown);

Reported by: Sven Joachim <sven_joachim@web.de>

Date: Thu, 26 Apr 2007 20:30:01 UTC

Severity: normal

Merged with 421249

Found in version gcc-4.1/4.1.1ds2-21

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sven Joachim <sven_joachim@web.de>, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#421162; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <sven_joachim@web.de>:
New Bug report received and forwarded. Copy sent to Sven Joachim <sven_joachim@web.de>, Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <sven_joachim@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-4.1: libssp0 is gone, several packages depend on it
Date: Thu, 26 Apr 2007 22:24:54 +0200
Package: gcc-4.1
Version: 4.1.2-4
Severity: grave

The latest gcc-4.1 upload is lacking libssp0 on which several packages
on my system depend, for instance some libavahi-* packages.  Looking at
http://packages.qa.debian.org/g/gcc-4.1/news/20070425T222047Z.html, it
is still mentioned in the Binary field, but not in the list of files.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.20.7
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gcc-4.1 depends on:
ii  binutils                      2.17-3     The GNU assembler, linker and bina
ii  cpp-4.1                       4.1.1-21   The GNU C preprocessor
ii  gcc-4.1-base                  4.1.1-21   The GNU Compiler Collection (base 
ii  libc6                         2.5-4      GNU C Library: Shared libraries
ii  libgcc1                       1:4.1.1-21 GCC support library
ii  libssp0                       4.1.1-21   GCC stack smashing protection libr

Versions of packages gcc-4.1 recommends:
ii  libc6-dev                     2.5-4      GNU C Library: Development Librari
ii  libmudflap0-dev               4.1.1-21   GCC mudflap support libraries (dev

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#421162; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 421162@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Sven Joachim <sven_joachim@web.de>, 421162@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#421162: gcc-4.1: libssp0 is gone, several packages depend on it
Date: Thu, 26 Apr 2007 22:48:04 +0200
severity 421162 normal
thanks

it's gone on all architectures which have glibc-2.5. please file bug
reports on the packages depending on it and/or check if these can be
fixed by binary rebuilds.

Sven Joachim writes:
> Package: gcc-4.1
> Version: 4.1.2-4
> Severity: grave
> 
> The latest gcc-4.1 upload is lacking libssp0 on which several packages
> on my system depend, for instance some libavahi-* packages.  Looking at
> http://packages.qa.debian.org/g/gcc-4.1/news/20070425T222047Z.html, it
> is still mentioned in the Binary field, but not in the list of files.



Severity set to `normal' from `grave' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 26 Apr 2007 20:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#421162; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <sven_joachim@web.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 421162@bugs.debian.org (full text, mbox):

From: Sven Joachim <sven_joachim@web.de>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: 421162@bugs.debian.org
Subject: Re: Bug#421162: gcc-4.1: libssp0 is gone, several packages depend on it
Date: Thu, 26 Apr 2007 23:39:44 +0200
Matthias Klose writes:
> it's gone on all architectures which have glibc-2.5. please file bug
> reports on the packages depending on it

Done for all six of them (counting source packages).

> and/or check if these can be fixed by binary rebuilds.

I'll leave this to the respective maintainers.
Regards,

Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#421162; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 421162@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Sven Joachim <sven_joachim@web.de>, 421162@bugs.debian.org
Cc: Matthias Klose <doko@cs.tu-berlin.de>
Subject: Re: Bug#421162: gcc-4.1: libssp0 is gone, several packages depend on it
Date: Sat, 28 Apr 2007 12:08:06 +0200
close 421162
severity 421249 normal
merge 421249 421162
thanks

Merging both bugs about this.
-- 
Martin Michlmayr
http://www.cyrius.com/



Bug closed, send any further explanations to Sven Joachim <sven_joachim@web.de> Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 28 Apr 2007 10:09:07 GMT) Full text and rfc822 format available.

Bug reassigned from package `gcc-4.1' to `libssp0'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 28 Apr 2007 10:21:05 GMT) Full text and rfc822 format available.

Merged 421162 421249. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 28 Apr 2007 10:21:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:50:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:05:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.